CVE-2012-1012

NameCVE-2012-1012
Descriptionserver/server_stubs.c in the kadmin protocol implementation in MIT Kerberos 5 (aka krb5) 1.10 before 1.10.1 does not properly restrict access to (1) SET_STRING and (2) GET_STRINGS operations, which might allow remote authenticated administrators to modify or read string attributes by leveraging the global list privilege.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)
Debian Bugs670918

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
krb5 (PTS)jessie1.12.1+dfsg-19+deb8u4fixed
jessie (security)1.12.1+dfsg-19+deb8u5fixed
stretch1.15-1+deb9u1fixed
buster1.17-2fixed
sid1.17-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
krb5source(unstable)1.10.1+dfsg-1medium670918
krb5sourcesqueeze(not affected)

Notes

[squeeze] - krb5 <not-affected> (vulnerable code not present)
bug was introduced in krb5 1.10

Search for package or bug name: Reporting problems